%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  RMThreshold
%global packver   1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Signal-Noise Separation in Random Matrices by using Eigenvalue Spectrum Analysis

License:          GPL
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-Matrix 
BuildRequires:    R-CRAN-png 
Requires:         R-CRAN-Matrix 
Requires:         R-CRAN-png 

%description
An algorithm which can be used to determine an objective threshold for
signal-noise separation in large random matrices (correlation matrices,
mutual information matrices, network adjacency matrices) is provided. The
package makes use of the results of Random Matrix Theory (RMT). The
algorithm increments a suppositional threshold monotonically, thereby
recording the eigenvalue spacing distribution of the matrix. According to
RMT, that distribution undergoes a characteristic change when the
threshold properly separates signal from noise. By using the algorithm,
the modular structure of a matrix - or of the corresponding network - can
be unraveled.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
